Module org.apache.derby.tools
Package org.apache.derby.jdbc

## Class BasicClientConnectionPoolDataSource40

- java.lang.Object
- - org.apache.derby.client.BasicClientDataSource
  - - org.apache.derby.jdbc.BasicClientDataSource40
    - - org.apache.derby.jdbc.BasicClientConnectionPoolDataSource40

- All Implemented Interfaces:
    `Serializable`, `Wrapper`, `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`, `org.apache.derby.client.ClientConnectionPoolDataSourceInterface`, `org.apache.derby.client.ClientDataSourceInterface`

      public class BasicClientConnectionPoolDataSource40
      extends BasicClientDataSource40
      implements ConnectionPoolDataSource, org.apache.derby.client.ClientConnectionPoolDataSourceInterface

  This data source is suitable for client/server use of Derby, running on Java 8 Compact Profile 2 or higher.

  BasicClientConnectionPoolDataSource40 is similar to ClientConnectionPoolDataSource except that it does not support JNDI, i.e. it does not implement `javax.naming.Referenceable`.
  See Also:
    `ClientConnectionPoolDataSource40`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `className__` |

    - ### Fields inherited from class org.apache.derby.client.BasicClientDataSource

      `CLEAR_TEXT_PASSWORD_SECURITY, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_traceLevel, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, USER_ONLY_SECURITY`

    - ### Fields inherited from interface org.apache.derby.client.ClientDataSourceInterface

      `CLEAR_TEXT_PASSWORD_SECURITY, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_user, STRONG_PASSWORD_SUBSTITUTE_SECURITY, USER_ONLY_SECURITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicClientConnectionPoolDataSource40()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxStatements()` | Returns the maximum number of JDBC prepared statements a connection is allowed to cache.
    `PooledConnection` | `getPooledConnection()` |
    `PooledConnection` | `getPooledConnection​(String user, String password)` |
    `int` | `maxStatementsToPool()` | Internally used method.
    `void` | `setMaxStatements​(int maxStatements)` | Specifies the maximum size of the statement cache.

    - ### Methods inherited from class org.apache.derby.client.BasicClientDataSource

      `computeDncLogWriterForNewConnection, getClientSSLMode, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getPassword, getPortNumber, getProperties, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUser, getUser, isWrapperFor, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser, tokenizeAttributes, unwrap`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.derby.client.ClientDataSourceInterface

      `getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getPassword, getPortNumber, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getTraceDirectory, getTraceFile, getTraceFileAppend, getTraceLevel, getUser, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `createShardingKeyBuilder, getParentLogger`

    - ### Methods inherited from interface javax.sql.ConnectionPoolDataSource

      `createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface javax.sql.DataSource

      `createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Field Detail

    - #### className__

          public static final String className__

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicClientConnectionPoolDataSource40

          public BasicClientConnectionPoolDataSource40()

  - ### Method Detail

    - #### getPooledConnection

          public PooledConnection getPooledConnection()
                                               throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`
      See Also:
        `ConnectionPoolDataSource.getPooledConnection()`

    - #### getPooledConnection

          public PooledConnection getPooledConnection​(String user,
                                                      String password)
                                               throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`
      See Also:
        `ConnectionPoolDataSource.getPooledConnection( java.lang.String, java.lang.String)`

    - #### setMaxStatements

          public void setMaxStatements​(int maxStatements)

      Specifies the maximum size of the statement cache.
      Specified by:
        `setMaxStatements` in interface `org.apache.derby.client.ClientConnectionPoolDataSourceInterface`
      Parameters:
        `maxStatements` - maximum number of cached statements
      Throws:
        `IllegalArgumentException` - if `maxStatements` is negative

    - #### getMaxStatements

          public int getMaxStatements()

      Returns the maximum number of JDBC prepared statements a connection is allowed to cache.
      Specified by:
        `getMaxStatements` in interface `org.apache.derby.client.ClientConnectionPoolDataSourceInterface`
      Returns:
        Maximum number of statements to cache, or `0` if caching is disabled (default).

    - #### maxStatementsToPool

          public int maxStatementsToPool()

      Internally used method.
      Overrides:
        `maxStatementsToPool` in class `org.apache.derby.client.BasicClientDataSource`
      Returns:
        Maximum number of statements to cache, or `0` if caching is disabled (default).
      See Also:
        `BasicClientDataSource.maxStatementsToPool()`